# Uses of Interface
java.lang.classfile.constantpool.ConstantPoolBuilder

Packages that use ConstantPoolBuilder
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of ConstantPoolBuilder in java.lang.classfile

Methods in java.lang.classfile that return ConstantPoolBuilder
Modifier and Type
Method
Description
`ConstantPoolBuilder`
BufWriter.`constantPool()`
Returns the constant pool builder associated with this buffer.
`ConstantPoolBuilder`
ClassFileBuilder.`constantPool()`
Returns the constant pool builder associated with this builder.
Methods in java.lang.classfile with parameters of type ConstantPoolBuilder
Modifier and Type
Method
Description
`byte[]`
ClassFile.`build(ClassEntry thisClassEntry, ConstantPoolBuilder constantPool, Consumer<? super ClassBuilder> handler)`
Builds a `class` file into a byte array using the provided constant pool builder.
`default void`
ClassFile.`buildTo(Path path, ClassEntry thisClassEntry, ConstantPoolBuilder constantPool, Consumer<? super ClassBuilder> handler)`
Builds a `class` file into a file in a file system using the provided constant pool builder.

## Uses of ConstantPoolBuilder in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return ConstantPoolBuilder
Modifier and Type
Method
Description
`static ConstantPoolBuilder`
ConstantPoolBuilder.`of()`
Returns a new constant pool builder.
`static ConstantPoolBuilder`
ConstantPoolBuilder.`of(ClassModel classModel)`
Returns a new constant pool builder.